Subject: guix repl loads Guild 3.0.0 despite dependency is [email-masked]

From: Moritz Lell <[email-masked]>
Date: Sun, 26 Jan 2020 17:56:47 +0100

When I invoke `guix repl`, I get:

--8<---------------cut here---------------start------------->8---
GNU Guile 3.0.0
Copyright (C) 1995-2020 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guix-user)>
--8<---------------cut here---------------end--------------->8---

despite `guix show guix` shows a dependency of [email-masked]`

--8<---------------cut here---------------start------------->8---
name: guix
version: 1.0.1-13.50299ad
outputs: out
systems: x86_64-linux i686-linux
dependencies: [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
...
--8<---------------cut here---------------end--------------->8---

This is incorrect, is it?

--8<---------------cut here---------------start------------->8---
guix c17fb65
    Repository-URL: https://git.savannah.gnu.org/git/guix.git
    Branch: master
    Commit: c17fb659070765acba1b8f568f2639adf48ccd1e
--8<---------------cut here---------------end--------------->8---